edu.isi.pegasus.planner.catalog.site.classes

## Interface SiteDataVisitor

All Known Implementing Classes:
  AbstractXMLPrintVisitor, XML3PrintVisitor, XML4PrintVisitor

    public interface SiteDataVisitor

The Visitor interface for the Site Catalog Data Classes.

Version:
  $Revision$
Author:
  Karan Vahi

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `depart(Connection c)` Depart the connection object
`void` `depart(Directory directory)` Depart the Directory object
`void` `depart(FileServer server)` Depart the Directory object
`void` `depart(GridGateway entry)` Depart the GridGateway object
`void` `depart(ReplicaCatalog catalog)` Depart the ReplicaCatalog object
`void` `depart(SiteCatalogEntry entry)` Depart the Site Catalog Entry object.
`void` `depart(SiteData data)`
`void` `depart(SiteStore entry)` Depart the Site Store object.
`void` `initialize(java.io.Writer writer)` Initialize the visitor implementation
`void` `visit(Connection c)` Visit the connection object
`void` `visit(Directory headnode)` Visit Directory site data object
`void` `visit(FileServer server)` Visit FileServer site data object
`void` `visit(GridGateway entry)` Visit the GridGateway object
`void` `visit(ReplicaCatalog catalog)` Visit the ReplicaCatalog object
`void` `visit(SiteCatalogEntry entry)` Visit the Site CatalogEntry object
`void` `visit(SiteData data)`
`void` `visit(SiteStore entry)` Visit the SiteStore object

### Method Detail

#### initialize

    void initialize(java.io.Writer writer)

Initialize the visitor implementation

Parameters:
  `writer` - the writer

#### visit

    void visit(SiteStore entry)
        throws java.io.IOException

Visit the SiteStore object

Parameters:
  `entry` - the site store
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### depart

    void depart(SiteStore entry)
         throws java.io.IOException

Depart the Site Store object.

Parameters:
  `entry` - the SiteStore
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### visit

    void visit(SiteCatalogEntry entry)
        throws java.io.IOException

Visit the Site CatalogEntry object

Parameters:
  `entry` - the site catalog entry
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### depart

    void depart(SiteCatalogEntry entry)
         throws java.io.IOException

Depart the Site Catalog Entry object.

Parameters:
  `entry` - the site catalog entry
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### visit

    void visit(GridGateway entry)
        throws java.io.IOException

Visit the GridGateway object

Parameters:
  `gateway` - the grid gateway
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### depart

    void depart(GridGateway entry)
         throws java.io.IOException

Depart the GridGateway object

Parameters:
  `entry` - GridGateway object
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### visit

    void visit(Directory headnode)
        throws java.io.IOException

Visit Directory site data object

Parameters:
  `headnode` - the object laying out the directory
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### depart

    void depart(Directory directory)
         throws java.io.IOException

Depart the Directory object

Parameters:
  `directory` - the object laying out the directory
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### visit

    void visit(FileServer server)
        throws java.io.IOException

Visit FileServer site data object

Parameters:
  `server` - the object corresponding to the FileServer
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### depart

    void depart(FileServer server)
         throws java.io.IOException

Depart the Directory object

Parameters:
  `server` - the object corresponding to the FileServer
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### visit

    void visit(ReplicaCatalog catalog)
        throws java.io.IOException

Visit the ReplicaCatalog object

Parameters:
  `catalog` - the object describing the catalog
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### depart

    void depart(ReplicaCatalog catalog)
         throws java.io.IOException

Depart the ReplicaCatalog object

Parameters:
  `catalog` - the object describing the catalog
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### visit

    void visit(Connection c)
        throws java.io.IOException

Visit the connection object

Parameters:
  `c` - the connection.
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### depart

    void depart(Connection c)
         throws java.io.IOException

Depart the connection object

Parameters:
  `c` - the connection.
Throws:
  `java.io.IOException` - in case of error while writing to underlying stream

#### visit

    void visit(SiteData data)
        throws java.io.IOException

Throws:
  `java.io.IOException`

#### depart

    void depart(SiteData data)
         throws java.io.IOException

Throws:
  `java.io.IOException`